Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1549877 - perl-CryptX-0.076 is available
Summary: perl-CryptX-0.076 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-CryptX
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-28 00:13 UTC by Upstream Release Monitoring
Modified: 2022-02-23 10:50 UTC (History)
3 users (show)

Fixed In Version: perl-CryptX-0.076-1.fc37
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-23 10:50:49 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2018-02-28 00:13:52 UTC
Latest upstream release: 0.058
Current version/release in rawhide: 0.053-1.fc28
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11620/

Comment 1 Petr Pisar 2018-02-28 15:14:03 UTC
This CryptX > 0.53 requires features that are not yet available in libtomcrypt-1.18.1.

I'm porting fixes from CryptX-0.058 to perl-CryptX-0.053-2.fc[29-27].

Comment 2 Upstream Release Monitoring 2018-03-26 00:13:33 UTC
Latest upstream release: 0.059
Current version/release in rawhide: 0.053-3.fc29
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11620/

Comment 3 Petr Pisar 2018-03-26 08:12:15 UTC
0.059 only enhanced ECC support and fixed building with perl 5.8.1. Nothing interesting for Fedora's stripped package. Upgrade postponed to newer libtomcrypt.

Comment 4 Upstream Release Monitoring 2018-05-02 17:41:48 UTC
Latest upstream release: 0.060
Current version/release in rawhide: 0.053-3.fc29
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11620/

Comment 5 Petr Pisar 2018-05-03 07:11:51 UTC
0.060 rebased bundled libtomcrypt, adapted CryptX to it, removed buggy test that started to fail with recent Math::BigInt, and fixed Fortuna PRNG in bundled libtomcrypt.

The only interesting change is the Math::BigInt fix that I will port to Fedora.

CryptX upgrade postponed to newer libtomcrypt.

Comment 6 Upstream Release Monitoring 2018-06-07 12:13:49 UTC
Latest upstream release: 0.061
Current version/release in rawhide: 0.053-4.fc29
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11620/

Comment 7 Petr Pisar 2018-06-07 12:58:25 UTC
0.60..0.61 only updates bundled libraries and adapts Perl code to them. Nothing for backport to Fedora.

CryptX upgrade postponed to newer libtomcrypt.

Comment 8 Petr Pisar 2018-07-10 13:45:27 UTC
libtomcrypt-1.18.2 available in Fedora now is a pure bug-fix release, no new features.

Comment 9 Petr Pisar 2018-11-29 14:40:31 UTC
0.061..0.063 adapts tests to recent Math-BigInt and libtomcrypt (back ported). It also updates bundled libraries and provides Perl interface for their new features.

CryptX upgrade postponed to a newer libtomcrypt.

Comment 10 Upstream Release Monitoring 2019-06-14 09:02:00 UTC
Latest upstream release: 0.064
Current version/release in rawhide: 0.053-9.fc31
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11620/

Comment 11 Petr Pisar 2019-06-17 09:09:14 UTC
0.063..0.064 upgrades bundled libtomcrypt and libtommath and ppport.h. It also silents some compiler warnings and adapts XS code to the new libtommath. Fedora is still at libtomcrypt-1.18.2.

CryptX upgrade postponed to a newer libtomcrypt.

Comment 12 Upstream Release Monitoring 2019-10-19 19:31:30 UTC
Latest upstream release: 0.065
Current version/release in rawhide: 0.053-11.fc31
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11620/

Comment 13 Upstream Release Monitoring 2019-10-20 17:22:31 UTC
Latest upstream release: 0.066
Current version/release in rawhide: 0.053-11.fc31
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11620/

Comment 14 Upstream Release Monitoring 2020-02-01 13:41:34 UTC
Latest upstream release: 0.067
Current version/release in rawhide: 0.053-12.fc32
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11620/

Comment 15 Petr Pisar 2020-02-03 14:26:26 UTC
0.064..0.065
  - updates bundled libtomcrypt. Irrelevant.
  - adds and reverts support for ISO-10126 padding. Irrelevant.
  - fixes for Math::BigInt 1.999817. I applied it in perl-CryptX-0.053-12.
0.065..0.066
  - updates libtomcrypt. Irrelevant.
0.066..0.067
  - adds support for Ed25519 and X25519 curves. Irrelevant since Fedora libtomcrypt-1.18.2-6.fc32 does not support ECC.

CryptX upgrade postponed to a newer libtomcrypt.

Comment 16 Upstream Release Monitoring 2020-03-10 14:08:37 UTC
Latest upstream release: 0.068
Current version/release in rawhide: 0.053-13.fc32
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11620/

Comment 17 Petr Pisar 2020-03-12 08:02:56 UTC
0.067..0.068 changes tests to pass on macOS Perl 5.18. Not important for Fedora.

The latest Fedora libtomcrypt-1.18.2-6.fc32 does not support ECC.
CryptX upgrade postponed to a newer libtomcrypt.

Comment 18 Upstream Release Monitoring 2020-08-25 08:02:30 UTC
Latest upstream release: 0.069
Current version/release in rawhide: 0.053-13.fc32
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11620/

Comment 19 Petr Pisar 2020-08-25 08:15:03 UTC
0.068..0.069 changes fixes a crash in ECC code that we do not deliver. Not important for Fodora.

The latest Fedora libtomcrypt-1.18.2-10.fc34 does not support ECC.
CryptX upgrade postponed to a newer libtomcrypt.

Comment 20 Upstream Release Monitoring 2021-02-12 15:28:53 UTC
Latest upstream release: 0.070
Current version/release in rawhide: 0.053-18.fc34
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11620/

Comment 21 Petr Pisar 2021-02-15 09:53:11 UTC
0.069..0.070 changes CFLAGS (disable LTO) and rebases libtomcrypt. Not important for Fedora.
The latest Fedora libtomcrypt-1.18.2-10.fc34 does not support ECC.
CryptX upgrade postponed to a newer libtomcrypt.

Comment 22 Upstream Release Monitoring 2021-03-30 11:19:01 UTC
Latest upstream release: 0.071
Current version/release in rawhide: 0.053-18.fc34
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11620/

Comment 23 Petr Pisar 2021-03-30 13:45:07 UTC
0.070..0.071 fixes PEM decoding (suitable for backporting) and dist tar permissions (not important for Fedora).
The latest Fedora libtomcrypt-1.18.2-10.fc34 does not support ECC.
CryptX upgrade postponed to a newer libtomcrypt.
I will apply the fix for PEM decoding.

Comment 24 Petr Pisar 2021-03-30 15:28:36 UTC
Applied to perl-CryptX-0.053-18.fc33.

Comment 25 Upstream Release Monitoring 2021-04-29 09:51:13 UTC
Latest upstream release: 0.072
Current version/release in rawhide: 0.053-19.fc35
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11620/

Comment 26 Petr Pisar 2021-04-29 14:18:27 UTC
0.071..0.072 fixes RSA PKCS#1 signature verification (suitable for backporting) and rebases libtomcrypt (irrelevant).
The latest Fedora libtomcrypt-1.18.2-12.fc35 does not support ECC.
CryptX upgrade postponed to a newer libtomcrypt.

Comment 27 Petr Pisar 2021-04-29 14:27:38 UTC
The verification patch has two parts: Tests for CryptX and fix in libtomcrypt. I can apply the tests here, but fix have to go into libtomcrypt package.

Comment 28 Petr Pisar 2021-04-29 14:56:14 UTC
The libtomcrypt fix is not straightforward for backporting. Forwarding to libtomcrypt as a bug #1955164.

Comment 29 Petr Pisar 2021-04-29 14:56:56 UTC
I will omit backporting the test to Fedora's perl-CryptX.

Comment 30 Upstream Release Monitoring 2021-07-18 13:41:40 UTC
Latest upstream release: 0.073
Current version/release in rawhide: 0.053-20.fc35
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11620/

Comment 31 Petr Pisar 2021-07-19 08:53:16 UTC
0.072..0.073 replaces various JSON:: dependencies with plain JSON, removes disabling LTO, and works around a Math::BigInt 1.99982 issue.

Math::BigInt was already fixed in perl-Math-BigInt. I will try applying the LTO support. Fedora still delivers libtomcrypt without ECC.

Comment 32 Petr Pisar 2021-07-19 09:09:52 UTC
Applied to perl-CryptX-0.053-21.fc35.

Comment 33 Petr Pisar 2021-11-01 14:46:58 UTC
For your information, libtommath package, a dependency of perl-CryptX, has been orphaned in Fedora.

Comment 34 Upstream Release Monitoring 2021-11-06 09:59:16 UTC
Latest upstream release: 0.074
Current version/release in rawhide: 0.053-23.fc36
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/11620/

Comment 35 Petr Pisar 2021-11-08 12:04:40 UTC
libtommath is owned now by mrc0mmand.

v0.073..v0.074 adapts tests and Math::BigInt::LTM to new Math::BigInt 1.999827. Fedora has already applied the patches in perl-CryptX-0.053-23.
Fedora's latest libtomcrypt is still 1.18.2 without ECC.

Comment 36 Jens Rosenboom 2021-11-18 20:58:01 UTC
I would like to ask for updating to CryptX-0.074.

My use case is FHEM (a GPL'd perl server for house automation, see https://fhem.de). It needs Crypt::Mode::CBC with zero padding (padding mode 4).
See line 1240 of file fhem/FHEM/70_VIERA.pm:
> # Initialize AES
>   my $cbc = Crypt::Mode::CBC->new("AES", 4);

This seems to be unsupported in Fedora's 0.053.
0.074 works fine fine when installed via cpan.

Comment 37 Petr Pisar 2021-11-19 09:26:09 UTC
There won't be any CryptX upgrade until libtomcrypt contains changes CryptX upstream develops privately, or someone packages and start maintaining CryptX's private fork of libtomcrypt separately.

The padding mode #4 of Crypt::Mode::CBC was added into CryptX with commit 2fa3734a2906a808897a24ee2c36be29c12338e1 and it depends on new padding_depad() and padding_pad() functions which are still missing from the latest libtomcrypt-1.18.2-13.fc35 we have in Fedora. There is no way of backporting this feature into perl-CryptX without having the functions first in libtomcrypt.

Comment 38 Jens Rosenboom 2021-11-19 09:53:05 UTC
Hello Petr, thanks for explaining the current situation, I did not expect it to be so complex. 

Does it mean the version of CryptX that I installed with cpan must have come with its own private libtomcrypt?

Do you know how other Linux distributions handle this? Do they use libtomcrypts debug branch?

Comment 39 Petr Pisar 2021-11-19 10:20:26 UTC
(In reply to Jens Rosenboom from comment #38)
> Does it mean the version of CryptX that I installed with cpan must have come
> with its own private libtomcrypt?
> 
Yes. It comes with its own private libtomcrypt.

> Do you know how other Linux distributions handle this? Do they use
> libtomcrypts debug branch?

Now I looked at Debian and Gentoo and they both keep using the private library.

Comment 40 Upstream Release Monitoring 2021-12-25 10:13:22 UTC
Latest upstream release: 0.075
Current version/release in rawhide: 0.053-23.fc36
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/11620/

Comment 41 Upstream Release Monitoring 2022-01-07 21:48:30 UTC
Latest upstream release: 0.076
Current version/release in rawhide: 0.053-23.fc36
URL: http://search.cpan.org/dist/CryptX/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/11620/

Comment 42 Petr Pisar 2022-01-10 08:52:35 UTC
v0.074..v0.075 rebases bundled libtomcrypt (still from a develop branch). Fedora used unbundled library.
v0.075..v0.076 stops exporting symbols of the bundled libraries, prefixes internal functions and makes them static, updates documentation.
I will try porting the function renames and the documentation.

Comment 43 Petr Pisar 2022-01-10 10:55:09 UTC
Actually the documentation update should not be applied because it covers changes in a code we have never ported.
Remaining patches applied to perl-CryptX-0.053-24.fc36.

Comment 44 Xavier Bachelot 2022-01-26 14:08:33 UTC
Hi Petr,

I've been poking at libtomcrypt upstream regularly for a long time, and there is definitely no sign of a release any time soon.
With the latest libtomcrypt release dating back from July 2018, would it make sense to ask FPC for a bundling exception ? If that is still actually needed, it seems the no-bundling rules have been severely relaxed ? [1].

I definitely understand this is not ideal, and I strongly support the no-bundling rule, but in this very case, the un-bundling regresses CryptX capabilities.
This would eventually allow to get ECC support in CryptX, which is certainly a huge pain point for at least some projects I'm working with. The lack of ECC support blocked a review request for perl-Authen-U2F and is still blocking it more than 3 years later [2]. This will now likely be blocking for a new perl-Authen-WebAuthn package [3].
To somewhat support the request, I would mention that Debian to my knowledge also has no-bundling rules (which are likely stronger than what they are in Fedora today), but they do ship CryptX with the bundled libtomcrypt, as mentioned in [3].

Regards,
Xavier

[1] https://docs.fedoraproject.org/en-US/packaging-guidelines/#bundling
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1654664
[3] https://gitlab.ow2.org/lemonldap-ng/lemonldap-ng/-/issues/1411

Comment 45 Petr Pisar 2022-01-26 17:13:42 UTC
Frankly, I don't have enough time for maintaining libtomcrypt, neither bundled, or unbundled. If you are willing to maintain it, I will give you perl-CryptX in Fedora and you will be able to rebase it while keeping bundled libtomcrypt there.

Comment 46 Xavier Bachelot 2022-02-14 14:38:46 UTC
Hi Petr,

Here's some initial work to update perl-CryptX to latest upstream version and use both bundled libtomcrypt and libtommath:
https://src.fedoraproject.org/fork/xavierb/rpms/perl-CryptX/diff/rawhide..use_bundled_ltc_ltm

I have tried to use bundled libtomcrypt while keeping system libtommath, it builds fine but the test suite gets confused by the mixed static/dynamic build.

I would be grateful if you could take a look as I'm not comfortable with this package yet and you likely have accumulated much more insight over the years, before I submit a proper PR and/or request rights on the package.

Thanks and regards,
Xavier

Comment 47 Petr Pisar 2022-02-14 15:20:20 UTC
That looks good.

Removing all the patches makes senses because they were copied from the upstream.

For versions of the bundled() symbols I would rather use an upstream commit ID. You can find them in Changes of CryptX tarball. E.g. 0.75 lists "libtomcrypt update branch:develop (commit:673f5ce2 2021-06-04)", hence I would use "bundled(libtomcrypt) = 1.8.2^0.git673f5ce2" as recommended in <https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/#_snapshots>. That way a security team will immediately see that its a git snapshot at commit 673f5ce2 which happened after 1.8.2 release.

I think you can replace a dependency on "perl(Cpanel::JSON::XS)" with "perl(JSON)". It's again a fully optional run-time dependency. You don't need to put it to optional test dependencies.

Also please update a comment above License tag. The libraries became bundled. And check the bundled libraries for new licenses. You would also need to list them in the License tag and add the tag to -tests subpackage without them.

Please take these recommendations with a gain of salt. I didn't study the new sources thoroughly.

Thanks for taking care of perl-CryptX. I will make you an owner of the package.

Comment 48 Xavier Bachelot 2022-02-14 16:35:23 UTC
Thanks for the advises. I've updated my fork with the suggested changes.

One more question, is it both allowed and safe to push an update to perl-CryptX 0.076 to Fedora/EPEL releases which are currently shipping with perl-CryptX 0.053 ?
EPEL 7 and 8 don't have it yet, so no problem, however Fedora 34 and 35 do have it, as well as EPEL 9.

Comment 49 Fedora Admin user for bugzilla script actions 2022-02-15 00:15:58 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 50 Petr Pisar 2022-02-15 09:13:44 UTC
Pushing new versions to old Fedora releases is allowed if it preserves an interface, if the new version is compatible. I haven't studied the new code, so I can't tell. Pushing breaking changes into EPEL is actually allowed, but only around the time when RHEL does a minor release.

Comment 51 Xavier Bachelot 2022-02-15 11:41:56 UTC
I know the rules, sorry for not expressing myself properly. I was after some changes that might be against these rules. I did not catch anything obvious, but to be on the safe side, I'll push the 0.076 only to Fedora 36+ and EPEL. I'll leave Fedora 34 and 35 alone and as CryptX was just released to EPEL 9, an update won't break much.

Thanks again for the help and patience, Petr !

Comment 52 Fedora Update System 2022-02-23 10:42:11 UTC
FEDORA-2022-e48553a980 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e48553a980

Comment 53 Fedora Update System 2022-02-23 10:50:49 UTC
FEDORA-2022-e48553a980 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.